<template>
  <div class="login">
    <h1>Sign Up</h1>
    <div class="form">
      <label for="username">Username</label>
      <input v-model="username" type="text" name="username" class="input" />
      <label for="password">Password</label>
      <input v-model="password" type="password" class="input" />
      <button @click="signup" class="btn">Sign Up</button>
      <router-link
                  :to="{
                    name: 'login',
                  }"
                >
      <label for="password">Déjà un compte ?</label>
      </router-link>
    </div>
  </div>
</template>
<script>
import store from "@/store";
export default {
  data() {
    return {
      username: null,
      password: null,
      wrongLoginPwd : false
    };
  },
  methods: {
    
    signup() {
      const requestOptions = {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({
          user: this.username,
          pwd: this.password
        })
      };
      fetch("http://localhost:5000/account", requestOptions)
        .then(response => response.json())
        .then(res => {
          console.log(res.status)
          if(res.status == 200){
            this.$router.push("/login");
          } else {
             alert('Problème lors de l\'inscription') 
          }
          });
      
    }
  }
};
</script>
<style scoped>
.form {
  display: flex;
  flex-direction: column;
  max-width: 400px;
  margin: 0 auto;
}
</style>
